DSI Update out?

Discussion in 'NDS - Flashcarts and Accessories' started by Ericthegreat, Apr 2, 2010.

  1. Ericthegreat
    OP

    Ericthegreat Not New Member

    Member
    1,798
    313
    Nov 8, 2008
    United States
    Vana'diel
    My DSi XL says there is an update? I can still go on dsi shop ect.
     
  2. YayMii

    YayMii hi

    Member
    4,912
    423
    Jun 24, 2009
    Canada
    that place
    It's only a partial update. Install it.

    Also, keep note that the DSi Menu states that there's an update even if there isn't.
    The only time you should hesitate to update is if the DSi Shop tells you to update.
     
  3. ProtoKun7

    ProtoKun7 GBAtemp Time Lord Regenerations: 3

    Global Moderator
    7,511
    1,553
    Jan 3, 2009
    Gallifrey
    Well, it doesn't say there's an update, it just lets you go through the update process and then lets you know you're up to date.
     
  4. YayMii

    YayMii hi

    Member
    4,912
    423
    Jun 24, 2009
    Canada
    that place
    But on my DSi XL, it actually downloaded and installed an update though.
     
  5. BobTheJoeBob

    BobTheJoeBob The most optimistic person on the temp. :)

    Member
    1,691
    18
    Aug 2, 2009
    London
    is this "update" only for the xl, and has it any threat towards flashcarts.
     
  6. AnalogMan

    AnalogMan sumoCheatMenu Dev

    Member
    1,235
    711
    Apr 20, 2007
    United States
    I heard of a 1.4.1 update, but it doesn't affect flashcarts.
     
  7. soulx

    soulx GBAtemp Legend

    Member
    10,130
    4,707
    Apr 4, 2009
    Canada
    No. It's also for the regular DSi. Flashcarts work fine with the update.
     
  8. BobTheJoeBob

    BobTheJoeBob The most optimistic person on the temp. :)

    Member
    1,691
    18
    Aug 2, 2009
    London
    oh, good. Just needed to be sure. Didn't want a repeat of the 1.4 update. (updated and didn't realize that it blocked flashcarts.)
     
  9. tk_saturn

    tk_saturn GBAtemp Psycho!

    Member
    3,327
    14
    Jan 26, 2010
    If and when there's a new firmware which blocks flashcarts, you'll know because it will posted on the front page. There will probably also be countless threads if it actually happens.

    Considering it only took 2 weeks to find a workout for the 1.4, if I were Nintendo I wouldn't bother. There's only so much they can do as they need to maintain compatibility with the DSL/ DSP and they aren't going to be able to update the firmware on those.
     
  10. Lakerfanalways

    Lakerfanalways GBAtemp Advanced Fan

    Member
    882
    10
    Feb 20, 2009
    United States
    I updated..no issues. I absolutely LOVE my DSi XL..yes it was expensive but I am glad that I got it..its AWESOME..now I just need to find a good case for it
     
  11. Technik

    Technik GBAtemp Advanced Fan

    Member
    794
    2
    May 2, 2009
    United States
    Their probably busy attempting to make a ps3 grade security for the 3ds so they dont care about their failure on the dsi anymore.
     
  12. DeltaBurnt

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    Thats doubtful.

    I'm pretty sure Sony hired the same people who made the security mainframe for the US's military super computers for their security system (source: IRC).